> ## Documentation Index
> Fetch the complete documentation index at: https://docs.usequanta.com/llms.txt
> Use this file to discover all available pages before exploring further.

# List Accounts



## OpenAPI

````yaml https://app.usequanta.com/openapi/quanta-services-api/openapi.json get /api/alpha/general_ledger/accounts/list
openapi: 3.1.0
info:
  title: FastAPI
  version: 0.1.0
servers:
  - url: https://app.usequanta.com
    description: Production
security:
  - HTTPBearer: []
paths:
  /api/alpha/general_ledger/accounts/list:
    get:
      tags:
        - gl_accounts
        - quanta-services-api
      summary: List Accounts
      operationId: list_accounts
      parameters:
        - name: include_external_ids
          in: query
          required: false
          schema:
            type: boolean
            default: false
            title: Include External Ids
        - name: include_overrides
          in: query
          required: false
          schema:
            type: boolean
            default: false
            title: Include Overrides
        - name: with_trailing_balance_as_of
          in: query
          required: false
          schema:
            anyOf:
              - type: string
                format: date
              - type: 'null'
            title: With Trailing Balance As Of
        - name: account_types
          in: query
          required: false
          schema:
            anyOf:
              - type: array
                items:
                  $ref: '#/components/schemas/AccountType'
              - type: 'null'
            title: Account Types
        - name: bookable_accounts_only
          in: query
          required: false
          schema:
            type: boolean
            default: false
            title: Bookable Accounts Only
        - name: exclude_booking_disabled_on_exists
          in: query
          required: false
          schema:
            type: boolean
            default: true
            title: Exclude Booking Disabled On Exists
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ExistingAccountsResponse'
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
      security:
        - HTTPBearer: []
components:
  schemas:
    AccountType:
      type: string
      enum:
        - ACCOUNTS_RECEIVABLE
        - BANK
        - FIXED_ASSET
        - OTHER_ASSET
        - OTHER_CURRENT_ASSET
        - ACCOUNTS_PAYABLE
        - CREDIT_CARD
        - OTHER_CURRENT_LIABILITY
        - LONG_TERM_LIABILITY
        - EQUITY
        - INCOME
        - OTHER_INCOME
        - COST_OF_GOODS_SOLD
        - EXPENSE
        - OTHER_EXPENSE
      title: AccountType
    ExistingAccountsResponse:
      properties:
        accounts:
          items:
            $ref: '#/components/schemas/ExistingAccount'
          type: array
          title: Accounts
      type: object
      required:
        - accounts
      title: ExistingAccountsResponse
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    ExistingAccount:
      properties:
        org_qid:
          type: string
          title: Org Qid
        qid:
          type: string
          title: Qid
        name:
          type: string
          title: Name
        number:
          anyOf:
            - type: string
            - type: 'null'
          title: Number
        display_name:
          type: string
          title: Display Name
        account_type:
          $ref: '#/components/schemas/AccountType'
        account_classification:
          $ref: '#/components/schemas/AccountClassification'
        lookup_id:
          anyOf:
            - type: string
            - type: 'null'
          title: Lookup Id
        parent_account_qid:
          anyOf:
            - type: string
            - type: 'null'
          title: Parent Account Qid
        mappings:
          items:
            $ref: '#/components/schemas/ExistingAccountMapping'
          type: array
          title: Mappings
        overrides:
          items:
            $ref: '#/components/schemas/ExistingAccountOverride'
          type: array
          title: Overrides
        scope:
          anyOf:
            - $ref: '#/components/schemas/AccountScope'
            - type: 'null'
        trailing_balance:
          anyOf:
            - type: string
            - type: 'null'
          title: Trailing Balance
        booking_disabled_on:
          anyOf:
            - type: string
              format: date
            - type: 'null'
          title: Booking Disabled On
      type: object
      required:
        - org_qid
        - qid
        - name
        - display_name
        - account_type
        - account_classification
        - lookup_id
        - parent_account_qid
        - mappings
        - overrides
        - scope
        - trailing_balance
        - booking_disabled_on
      title: ExistingAccount
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
        input:
          title: Input
        ctx:
          type: object
          title: Context
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError
    AccountClassification:
      type: string
      enum:
        - ASSET
        - EXPENSE
        - EQUITY
        - LIABILITY
        - REVENUE
      title: AccountClassification
    ExistingAccountMapping:
      properties:
        external_account_id:
          type: string
          title: External Account Id
        source:
          $ref: '#/components/schemas/Source'
      type: object
      required:
        - external_account_id
        - source
      title: ExistingAccountMapping
    ExistingAccountOverride:
      properties:
        default_account_name:
          type: string
          title: Default Account Name
      type: object
      required:
        - default_account_name
      title: ExistingAccountOverride
    AccountScope:
      type: string
      enum:
        - BASIC_LOOKUP_ID
        - LOGICAL_LOOKUP_ID
        - BREX_INTEGRATION
        - RAMP_INTEGRATION
        - MERCURY_INTEGRATION
        - STRIPE_INTEGRATION
        - FUNDRAISE_ACCOUNT
        - CUSTOM_INTEGRATION
      title: AccountScope
    Source:
      type: string
      enum:
        - quanta
        - amex
        - deel
        - qbo
        - ramp
        - ramp_bank
        - rippling
        - stripe
        - gusto
        - brex
        - frb
        - fidelity
        - justworks
        - sequoia_one
        - chase
        - wells_fargo_ceo
        - mercury
        - meow_bank
        - bank_of_america
        - svb
        - morgan_stanley
        - other_bank
        - other_finicity_bank
        - angellist_banking
        - arc
        - carta
        - manual
        - bank_upload
        - local_bank
        - card_upload
        - reimbursement_upload
        - warp
        - rho
        - stifel
        - highbeam
        - erebor
        - wise
        - td_canada
        - central_payroll
        - rillet
        - campfire
        - netsuite
        - orb
        - prepaid
        - loan
        - accrued_expense
        - pricing_component
        - invoice_sent
        - fixed_asset
        - intangible_asset
        - stripe_invoice
        - payment_event
        - month_end_event
        - out_of_band_invoice
        - derivative_payable
      title: Source
  securitySchemes:
    HTTPBearer:
      type: http
      scheme: bearer
      bearerFormat: JWT
      description: >-
        Quanta Services API scoped bearer token. Supported only on Services API
        routes.

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.